#ifndef SYSTRAY_H
#define SYSTRAY_H

#include <QSystemTrayIcon>
#include <QAction>
#include <QMenu>

class SysTray : public QSystemTrayIcon
{
    Q_OBJECT
public:
    explicit SysTray(QObject *parent = 0);

    void creatMenu();

signals:
    void sgOpenMainDialog();  //打开main
    void sgExit();   //退出

private slots:
    void iconIsActived(QSystemTrayIcon::ActivationReason reason);
};

#endif // SYSTRAY_H
